Hi Richard,
 You got it right. Running 2.6.38_x86_64 on top of 3.1 x86_64 does not work. As you mentioned, I think its more of an issue with the version of gcc that I am using. On gentoo the latest release comes with gcc 4.5 (I have gcc (Gentoo 4.5.3-r1 p1.0, pie-0.4.5) 4.5.3). 


Thanks for pointing this out,
Avinash 

On Sun, May 27, 2012 at 3:00 AM, richard -rw- weinberger <richard.weinberger@gmail.com> wrote:
Hi!

Running 3.1 x86_64 on top of 3.1 x86_64 works, but 2.6.38 x86_64 on
top of  3.1 x86_64 not?
Please confirm, so that I can try to produce the issue.

However I suspect we have to back port f1c2bb8 (um: implement a x86_64 vDSO).

Thanks,
//richard